Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch
Class LocalSearchSolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig
          org.optaplanner.core.config.localsearch.LocalSearchSolverPhaseConfig

    public class LocalSearchSolverPhaseConfig

extends SolverPhaseConfig

Constructor Summary
`LocalSearchSolverPhaseConfig()`

Method Summary
`LocalSearchSolverPhase` | `buildSolverPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`AcceptorConfig` | `getAcceptorConfig()`
`ForagerConfig` | `getForagerConfig()`
`MoveSelectorConfig` | `getMoveSelectorConfig()`
`void` | `inherit(LocalSearchSolverPhaseConfig inheritedConfig)`
`void` | `setAcceptorConfig(AcceptorConfig acceptorConfig)`
`void` | `setForagerConfig(ForagerConfig foragerConfig)`
`void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`

Methods inherited from class org.optaplanner.core.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverPhaseConfig

    public LocalSearchSolverPhaseConfig()

Method Detail

### getMoveSelectorConfig

    public MoveSelectorConfig getMoveSelectorConfig()

### setMoveSelectorConfig

    public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

### getAcceptorConfig

    public AcceptorConfig getAcceptorConfig()

### setAcceptorConfig

    public void setAcceptorConfig(AcceptorConfig acceptorConfig)

### getForagerConfig

    public ForagerConfig getForagerConfig()

### setForagerConfig

    public void setForagerConfig(ForagerConfig foragerConfig)

### buildSolverPhase

    public LocalSearchSolverPhase buildSolverPhase(int phaseIndex,
                                                   HeuristicConfigPolicy solverConfigPolicy,
                                                   BestSolutionRecaller bestSolutionRecaller,
                                                   Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(LocalSearchSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.